=== modified file 'bzrlib/chk_serializer.py'
--- bzrlib/chk_serializer.py	2010-02-17 17:11:16 +0000
+++ bzrlib/chk_serializer.py	2011-02-19 22:39:03 +0000
@@ -19,10 +19,8 @@
 from bzrlib import (
     bencode,
     cache_utf8,
-    inventory,
     revision as _mod_revision,
-    xml6,
-    xml7,
+    xml8,
     )
 
 
@@ -131,36 +129,7 @@
         return self.read_revision_from_string(f.read())
 
 
-class CHKSerializerSubtree(BEncodeRevisionSerializer1, xml7.Serializer_v7):
-    """A CHKInventory based serializer that supports tree references"""
-
-    supported_kinds = set(['file', 'directory', 'symlink', 'tree-reference'])
-    format_num = '9'
-    revision_format_num = None
-    support_altered_by_hack = False
-
-    def _unpack_entry(self, elt, entry_cache=None, return_from_cache=False):
-        kind = elt.tag
-        if not kind in self.supported_kinds:
-            raise AssertionError('unsupported entry kind %s' % kind)
-        if kind == 'tree-reference':
-            file_id = elt.attrib['file_id']
-            name = elt.attrib['name']
-            parent_id = elt.attrib['parent_id']
-            revision = elt.get('revision')
-            reference_revision = elt.get('reference_revision')
-            return inventory.TreeReference(file_id, name, parent_id, revision,
-                                           reference_revision)
-        else:
-            return xml7.Serializer_v7._unpack_entry(self, elt,
-                entry_cache=entry_cache, return_from_cache=return_from_cache)
-
-    def __init__(self, node_size, search_key_name):
-        self.maximum_size = node_size
-        self.search_key_name = search_key_name
-
-
-class CHKSerializer(xml6.Serializer_v6):
+class CHKSerializer(xml8.Serializer_v8):
     """A CHKInventory based serializer with 'plain' behaviour."""
 
     format_num = '9'

=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-02-19 22:25:32 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-02-19 22:39:03 +0000
@@ -99,6 +99,7 @@
             'bzrlib.bugtracker',
             'bzrlib.bundle.commands',
             'bzrlib.cmd_version_info',
+            'bzrlib.externalcommand',
             'bzrlib.foreign',
             'bzrlib.gpg',
             'bzrlib.info',
@@ -111,6 +112,10 @@
             'bzrlib.smart',
             'bzrlib.transform',
             'bzrlib.version_info_formats.format_rio',
+            'bzrlib.xml4',
+            'bzrlib.xml5',
+            'bzrlib.xml6',
+            'bzrlib.xml7',
             'kerberos',
             'smtplib',
             'tarfile',

